Subject: Re: Network Setup - HOW TO

From: Grant Likely <[email-masked]>
Date: Fri, 6 May 2005 09:29:00 -0600

On 5/5/05, Atit_Shah <[email-masked]> wrote:
> Hi all,
>=20
>         I have a custom board designed to function as a router. It has 2
> Ethernet ports. Eth1 is a WAN port and Eth0 is a LAN port. This is what
> I wish to do:
> 1. connect the board/router to my company network
> 2. connect a normal system running windows or linux to the router
> 3. I should be able to ping or browse the net using the normal system
> via the router through the company network.
>=20
> I have connect the normal network cable (not a cross wire cable) between
> the router and the company network. The router does not seem to get a
> dynamic IP. Why and What should I do for it to get one?
Are you running a dhcp client?  Let's see the log output
>=20
> I connect a system to eth0 again with a normal network cable (not a
> cross wire cable) but the system does not seem to get an IP assigned
> even when I run the dhcp server on my router....used udhcpd command. Why
> and how can I get it up?
What do you see on the wire?  Bring up Ethereal to capture traffic.

>=20
> Appreciate a response on this....
Not enough information.  Include output logs please.